import java.util.Random;
import javax.swing.JOptionPane;    
/**
 * Class DoubleStuff fills and sorts double array A.
 * 
 * @author RR
 * @version 2002/10/27
 */
public class DoubleStuff
{
    private int theLength;
    private double[] a;

/**
 * Constructor
 * 
 * @param asize length of array
*/
    public DoubleStuff(int asize) 
    { 
       theLength = asize;
       a = new double[theLength];
    }
     
    public void fill() /*throws NumberFormatException,ArrayIndexOutOfBoundsException */
    {    
  /*  the old code
      Random generator = new Random(); 
       for (int i = 0; i < a.length; i++) 
       { 
         a[i] = generator.nextDouble(); 
       }
   */  
       Random generator = new Random(); 
       double readValue;
       for (int i = 0; i < a.length; i++) 
       { 
         String input = JOptionPane.showInputDialog("Enter a position");
         int position = Integer.parseInt(input);
         a[position] = generator.nextDouble(); 
       }
     }
    public void printOut()
    {    
       for (int i = 0; i < a.length; i++) 
       { 
         System.out.println(a[i]); 
       }
       System.out.println();
     }
     
    /**
     * sortDouble
     * 
     * implements selection sort
     * 
     */
    public void sortDouble()
    {
        for (int i = 0; i < a.length; i++)
        {
            int min = findMinimum(a, i);
            swap(a, i, min);
         }
    }
    
    /**
     * findMinimum
     * 
     * @param  a   a double array
     * @param  i   the current position in a
     * 
     *  @return min position of the minimum value 
     */
    private int findMinimum(double[] a, int i)
    {
        // 
        int j, min = i;
        for (j = i+1; j < a.length; j++)
        {
            if( a[j] < a[min] )
            {
                min = j;
            }
        }
        return min;
    }
    /**
     * 
     * Swap
     * 
     * @param a   double array
     * @param i,j the positions to swap
     * 
     */
    private void swap(double[] a, int i, int j)
    {
        double temp = a[i];
        a[i] = a[j];
        a[j] = temp;
    }
    
} 