

import javax.swing.JOptionPane;
import java.io.*;   
/**
 * class SelSortTest.
 * 
 * This generates and fills a random array of dataLength double values
 * then sorts and prints the result
 * 
 * @author RR
 * @version 2002/10/27
 */
public class SelSortTest
{
  public void sortTest() 
  { 
   try
   {
    String input = JOptionPane.showInputDialog("How many items?");
    int dataLength = Integer.parseInt(input);
    DoubleStuff data = new DoubleStuff(dataLength); 
    data.fill();
    System.out.println("The initial array of " + dataLength + " items is:" + "\n");
    data.printOut();
    data.sortDouble();
    System.out.println("The sorted array is:" + "\n");    
    data.printOut();
   }
   catch (NumberFormatException exception)
   {
    System.out.println("Bad number input "+exception);
   }
   catch (ArrayIndexOutOfBoundsException exception)
   {
    System.out.println("Bad position "+exception);
   }   
  }
}
